Removing environment from a host in hostgroup that has environment silently picks hostgroup
Description

1. Pick a host with an environment and a connected hostgroup

2. Make sure the hostgroup has an environment.

3. Edit the hot and remov the environment.

The host is saved with the environment that is inherited from the hostgroup.

There are two problems

1. The edit form doesn't show that the environment was chosen from the hostgroup so it appears to be empty until save

2. If the environment is intentionally left blank there should be a validation error and not a silent selection

Related issues:

Related to Foreman - Bug #6369: Unable to create host without Puppet master w... Closed 06/25/2014

Related to Foreman - Feature #9301: Support hosts with no Puppet Environment Closed 02/09/2015

Related to Foreman - Bug #9591: Override puppet configuration on host level d... Closed 03/01/2015

History

#1 - 02/24/2015 10:06 AM - Dominic Cleal

- Related to Bug #6369: Unable to create host without Puppet master when specified on host group added

#2 - 02/24/2015 10:06 AM - Dominic Cleal

- Related to Feature #9301: Support hosts with no Puppet Environment added

#3 - 02/24/2015 10:06 AM - Dominic Cleal

- Category changed from Web Interface to Host creation

#4 - 02/24/2015 10:16 AM - Marek Hulán

Just for the record, the same applies to artchitecture, os etc

#5 - 02/24/2015 10:19 AM - Dominic Cleal

Indeed, kind of by design... or at least, we have be sure that it works correctly from the API if fixed in the UI.  I don't know why it was only fixed for two

fields in #6369.

#6 - 06/01/2015 09:10 AM - Dominic Cleal

- Related to Bug #9591: Override puppet configuration on host level does not work if specified on host group added

#7 - 07/29/2015 09:05 AM - Dominic Cleal

- Status changed from New to Resolved

I believe this is now fixed since #9591 was merged, although Marek's comment about architecture etc is still the case.  I don't feel that the solution in

9591 would really work effectively for architecture, OS etc and that they're probably best left as they are.
